Bug 8597 - smb2_flush sends uninitialized memory
smb2_flush sends uninitialized memory
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8595
  Show dependency treegraph
 
Reported: 2011-11-10 11:24 UTC by Stefan Metzmacher
Modified: 2011-11-16 19:28 UTC (History)
3 users (show)

See Also:


Attachments
Patch for master (842 bytes, patch)
2011-11-10 11:27 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2011-11-10 11:24:14 UTC

    
Comment 1 Stefan Metzmacher 2011-11-10 11:27:51 UTC
Created attachment 7077 [details]
Patch for master
Comment 2 Jeremy Allison 2011-11-11 21:43:40 UTC
Comment on attachment 7077 [details]
Patch for master

Looks good to me.
Comment 3 Jeremy Allison 2011-11-11 21:44:40 UTC
Personally I'd just push this to master and release in 3.6.2. This isn't worth a security release - we've already fixed a similar bug in 3.6.1. Whilst SMB2 isn't on by default I think we're ok with this. There's no danger of a privilege escalation here.

Jeremy.
Comment 4 Jeremy Allison 2011-11-15 19:38:37 UTC
Reassigning to Karolin for inclusion in 3.6.2.
Jeremy.
Comment 5 Karolin Seeger 2011-11-16 19:28:52 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!